Subject: [Ltru] Re: Reserving subtags

From: "Doug Ewell" <[email-masked]>
Date: Thu, 8 Mar 2007 23:00:49 -0800

Mark Davis <mark dot davis at icu dash project dot org> wrote:

> Breaking out the discussion on script vs orthography into a separate 
> thread, I suggest we make the following additions to the ABNF.

It would be difficult to overstate how strongly opposed I am to this.

> language      = (2*3ALPHA [ extlang ]) ; shortest ISO 639 code
>              / 4ALPHA                 ; reserved for future use
>              / 5*8ALPHA               ; registered language subtag
>              / 2*8alphanum            ; others reserved for future use
> extlangs      = *3("-" extlang)         ; sequence of extlangs
>
> extlang       = 3ALPHA                  ; specific ISO 639-3 codes
>              / ALPHA 2alphanum         ; others reserved for future 
> use
>
> script        = 4ALPHA                 ; ISO 15924 code
>              / ALPHA 3alphanum        ; others are registered scripts
> or orthographies
>
> region        = 2ALPHA                 ; ISO 3166 code
>              / 3DIGIT                 ; UN M.49 code
>              / ALPHA DIGIT            ; others reserved for future use
>              / DIGIT 2alphanum        ; others reserved for future use
>
> For the scripts, it is to allow us to register major orthographic 
> differences that are orthogonal to country boundaries, and much more 
> important than the variations by country in customary matching. We 
> would put the same caveats in place for these as for language subtags; 
> one has to approach the 15924 JAC first.
>
> For the others above, the purpose is to just allow us more flexibility 
> in the future. A nice feature is that first-letter + length indicates 
> the basic type of the tag.

--
Doug Ewell  *  Fullerton, California, USA  *  RFC 4645  *  UTN #14
http://users.adelphia.net/~dewell/
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru